Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp	(revision 08d042d999587b9169fbb5763d93a65241a1cf4f)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp	(revision 3fa16b482f696edb18618700ef768e366d06813c)
@@ -62,25 +62,25 @@
   }
 
+  // check whether Axis is valid
+  if (params.Axis.get().IsZero()) {
+    STATUS("Rotation Axis must not be zero.");
+    return Action::failure;
+  }
+
+  // convert from degrees to radian
+  const double angle_radian = params.angle.get() * M_PI/180.;
+
   // go through all selected molecules
   BOOST_FOREACH(molecule *mol, selectedMolecules) {
-    // check whether Axis is valid
-    if (params.Axis.get().IsZero()) {
-      STATUS("Rotation Axis must not be zero.");
-      return Action::failure;
-    }
-
-    // convert from degrees to radian
-    params.angle.set(params.angle.get() * M_PI/180.);
-
     // Creation Line that is the rotation axis
     const Vector CenterOfGravity = mol->DetermineCenterOfGravity();
-    LOG(0,  "Center of gravity is " << CenterOfGravity << ".");
+    LOG(3, "DEBUG: Center of gravity is " << CenterOfGravity << ".");
     Line RotationAxis(CenterOfGravity, params.Axis.get());
-    LOG(0, "Rotate " << mol->getName() << " around self by " << params.angle.get() << " radian around axis " << RotationAxis << ".");
+    LOG(2, "DEBUG: Rotate " << mol->getName() << " around self by " << angle_radian << " radian around axis " << RotationAxis << ".");
 
     for (molecule::iterator iter = mol->begin(); iter != mol->end(); ++iter) {
-      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), params.angle.get()));
+      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), angle_radian));
     }
-    LOG(0, "done.");
+    LOG(2, "DEBUG: Rotatating of " << mol->getName() << " done.");
   }
 
@@ -91,13 +91,15 @@
   MoleculeRotateAroundSelfByAngleState *state = assert_cast<MoleculeRotateAroundSelfByAngleState*>(_state.get());
 
+  // convert from degrees to radian
+  const double angle_radian = -state->params.angle.get() * M_PI/180.;
+
   BOOST_FOREACH(molecule *mol, state->selectedMolecules) {
     const Vector CenterOfGravity = mol->DetermineCenterOfGravity();
     LOG(0,  "Center of gravity is " <<CenterOfGravity << ".");
     Line RotationAxis(CenterOfGravity, state->params.Axis.get());
-    LOG(0, "Rotate " << mol->getName() << " around self by " << -state->params.angle.get() << " radian around axis " << RotationAxis << ".");
+    LOG(0, "Rotate " << mol->getName() << " around self by " << angle_radian << " radian around axis " << RotationAxis << ".");
 
-    for (molecule::iterator iter = mol->begin(); iter != mol->end(); ++iter) {
-      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), -state->params.angle.get()));
-    }
+    for (molecule::iterator iter = mol->begin(); iter != mol->end(); ++iter)
+      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), angle_radian));
   }
 
@@ -108,13 +110,15 @@
   MoleculeRotateAroundSelfByAngleState *state = assert_cast<MoleculeRotateAroundSelfByAngleState*>(_state.get());
 
+  // convert from degrees to radian
+  const double angle_radian = state->params.angle.get() * M_PI/180.;
+
   BOOST_FOREACH(molecule *mol, state->selectedMolecules) {
     const Vector CenterOfGravity = mol->DetermineCenterOfGravity();
     LOG(0,  "Center of gravity is " << CenterOfGravity << ".");
     Line RotationAxis(CenterOfGravity, state->params.Axis.get());
-    LOG(0, "Rotate " << mol->getName() << " around self by " << state->params.angle.get() << " radian around axis " << RotationAxis << ".");
+    LOG(0, "Rotate " << mol->getName() << " around self by " << angle_radian << " radian around axis " << RotationAxis << ".");
 
-    for (molecule::iterator iter = mol->begin(); iter != mol->end(); ++iter) {
-      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), state->params.angle.get()));
-    }
+    for (molecule::iterator iter = mol->begin(); iter != mol->end(); ++iter)
+      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), angle_radian));
   }
 
Index: src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.cpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.cpp	(revision 08d042d999587b9169fbb5763d93a65241a1cf4f)
+++ src/UIElements/Views/Qt4/MoleculeList/QtMoleculeList.cpp	(revision 3fa16b482f696edb18618700ef768e366d06813c)
@@ -464,6 +464,7 @@
       +" does not have a groupitem?");
   QList<QStandardItem *> mol_row = _molitem->parent()->takeRow(_molitem->index().row());
-  // call setOccurrence on the old group later
-  addToBeSetOccurrence(groupitem);
+  // call setOccurrence on the old group later, if it's not a removal candidate
+  if (groupitem->rowCount() != 0)
+    addToBeSetOccurrence(groupitem);
   // ..  and re-add where new formula fits
   const std::string molecule_formula = _molitem->getMolecule()->getFormula().toString();
Index: src/UIElements/Views/Qt4/QtInfoBox.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtInfoBox.cpp	(revision 08d042d999587b9169fbb5763d93a65241a1cf4f)
+++ src/UIElements/Views/Qt4/QtInfoBox.cpp	(revision 3fa16b482f696edb18618700ef768e366d06813c)
@@ -57,5 +57,5 @@
 
   setMinimumWidth(200);
-  setMinimumHeight(200);
+  setMinimumHeight(220);
   currentPage = 0;
 
@@ -178,6 +178,8 @@
   addInfo(this, "Mass", QString("%1").arg(atomRef->getMass()));
   addInfo(this, "Charge", QString("%1").arg(atomRef->getCharge()));
-  addInfo(this, "Position", QString(toString(atomRef->getPosition()).c_str()));
   addInfo(this, "Bonds", QString("%1").arg(atomRef->getListOfBonds().size()));
+  addInfo(this, "Position x", QString(toString(atomRef->getPosition()[0]).c_str()));
+  addInfo(this, "Position y", QString(toString(atomRef->getPosition()[1]).c_str()));
+  addInfo(this, "Position z", QString(toString(atomRef->getPosition()[2]).c_str()));
 }
 
@@ -218,5 +220,10 @@
   addInfo(this, "Formula", QString(mol->getFormula().toString().c_str()));
   addInfo(this, "Atoms", QString("%1").arg(mol->getAtomCount()));
+  addInfo(this, "NonHydrogens", QString("%1").arg(mol->getNoNonHydrogen()));
   addInfo(this, "Bonds", QString("%1").arg(mol->getBondCount()));
+  const Vector molCenter = mol->DetermineCenterOfAll();
+  addInfo(this, "Center x", QString("%1").arg(molCenter[0]));
+  addInfo(this, "Center y", QString("%1").arg(molCenter[1]));
+  addInfo(this, "Center z", QString("%1").arg(molCenter[2]));
 }
 
Index: src/UIElements/Views/Qt4/QtStatusBar.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtStatusBar.cpp	(revision 08d042d999587b9169fbb5763d93a65241a1cf4f)
+++ src/UIElements/Views/Qt4/QtStatusBar.cpp	(revision 3fa16b482f696edb18618700ef768e366d06813c)
@@ -65,5 +65,5 @@
   StatusList_signedOn(false),
   timer(NULL),
-  timer_interval(1500)
+  timer_interval(4000)
 {
   World::getInstance().signOn(this);
